[ostree] Add test-basic-user.sh testing for bare-user repos



commit fcd3caf6dd25d5bbac2a708fdbfd11ef354c9eb4
Author: Alexander Larsson <alexl redhat com>
Date:   Fri Dec 5 14:40:15 2014 +0100

    Add test-basic-user.sh testing for bare-user repos
    
    This just does whatever test-basic.sh does, but on a bare-user
    repo.
    
    This works standalone, but unfortunately it breaks in
    gnome-desktop-testing-runner as /tmp doesn't support
    xattrs, so it is not installed atm.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741125

 Makefile-tests.am        |    1 +
 tests/test-basic-user.sh |   29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 0 deletions(-)
---
diff --git a/Makefile-tests.am b/Makefile-tests.am
index 4a8894e..cf4bc96 100644
--- a/Makefile-tests.am
+++ b/Makefile-tests.am
@@ -66,6 +66,7 @@ insttest_DATA = tests/archive-test.sh \
        tests/libtest.sh \
        tests/admin-test.sh \
        tests/basic-test.sh \
+       tests/test-basic-user.sh \
        tests/corrupt-repo-ref.js \
        $(NULL)
 
diff --git a/tests/test-basic-user.sh b/tests/test-basic-user.sh
new file mode 100755
index 0000000..c170525
--- /dev/null
+++ b/tests/test-basic-user.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters verbum org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -e
+
+echo "1..1"
+
+. $(dirname $0)/libtest.sh
+
+setup_test_repository "bare-user"
+echo "ok setup"
+
+. $(dirname $0)/basic-test.sh


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]